/*
Теорія 1
Оператори в JavaScript - це символи або ключові слова, які використовуються для виконання операцій над операндами. Операнди можуть бути змінними, значеннями або виразами. Якщо розглядати операцію як функцію, то операнди - це її аргументи. JavaScript підтримує різні типи операторів, і ось деякі з них:

Арифметичні оператори:
+ (додавання)
- (віднімання)
* (множення)
/ (ділення)
% (залишок від ділення)
let a = 5;
let b = 2;
let result = a + b; //7

Оператори порівняння:
== (рівність)
=== (строга рівність)
!= (нерівність)
!== (строга нерівність)
> (більше)
< (менше)
>= (більше або рівне)
<= (менше або рівне)
let x = 10;
let y = "10;
console.log(x == y); //true
console.log(x === y); //false

Логічні оператори:
&& (логічне І)
|| (логічне АБО)
! (логічне НІ)

let condition1 = true;
let condition2 = false;
console.log(condition1 && condition2) //false
console.log(condition1 || condition2) //true
console.log(!condition1) //false

Оператори присвоєння:
= (присвоєння)
+=, -=, *=, /= (скорочені арифметичні операції з присвоєнням)

let num = 10;
num += 5; // num тепер рівне 15
*/

/*
Теорія 2
Оператори порівняння в JavaScript використовуються для порівняння значень і повернення результату у вигляді булевого значення (true або false). Ці оператори часто використовуються в умовних виразах, циклах та інших місцях, де потрібно прийняти рішення на основі результату порівняння. Ось кілька прикладів:

Оператор рівності (== та ===):
== порівнює значення з автоматичним приведенням типів.
=== (строга рівність) порівнює значення і тип без автоматичного приведення.
javascript
Copy code
let x = 5;
let y = "5";

console.log(x == y);  // true (автоматичне приведення типів)
console.log(x === y); // false (строга рівність)
Оператор нерівності (!= та !==):
!= порівнює значення з автоматичним приведенням типів.
!== (строга нерівність) порівнює значення і тип без автоматичного приведення.
javascript
Copy code
let a = 10;
let b = "10";

console.log(a != b);  // false (автоматичне приведення типів)
console.log(a !== b); // true (строга нерівність)
Оператори величини (>, <, >=, <=):
javascript
Copy code
let num1 = 15;
let num2 = 10;

console.log(num1 > num2);  // true
console.log(num1 < num2);  // false
console.log(num1 >= num2); // true
console.log(num1 <= num2); // false
*/

/*
Теорія 3
Операції присвоєння в JavaScript використовуються для присвоєння значення змінній. Оператор присвоєння використовується для ініціалізації або зміни значення змінної. Ось кілька прикладів операцій присвоєння:

Просте присвоєння (=):
javascript
Copy code
let x = 10; // Змінній x присвоєно значення 10
let y = "Hello"; // Змінній y присвоєно рядок "Hello"
Скорочені арифметичні операції з присвоєнням:
javascript
Copy code
let a = 5;
a += 3; // Еквівалентно a = a + 3, отримаємо a = 8

let b = 10;
b -= 4; // Еквівалентно b = b - 4, отримаємо b = 6

let c = 3;
c *= 2; // Еквівалентно c = c * 2, отримаємо c = 6

let d = 8;
d /= 4; // Еквівалентно d = d / 4, отримаємо d = 2
Оператори конкатенації рядків (+=):
javascript
Copy code
let str1 = "Hello";
let str2 = " World";
str1 += str2; // Еквівалентно str1 = str1 + str2, отримаємо "Hello World"
Оператор присвоєння залишку від ділення (%=):
javascript
Copy code
let num = 10;
num %= 3; // Еквівалентно num = num % 3, отримаємо залишок від ділення 10 на 3, num = 1
Операції присвоєння дозволяють зручно і ефективно змінювати значення змінних в процесі виконання програми.
 */

const userName = "Nick";
const userPassword= "secret";
const userInputPassword = prompt("Please enter your password");
if (userInputPassword === userPassword){
    console.log("Пароль співпадає, ласкаво просимо.")
}else {
    console.log("Пароль не вірний, потрібно ввести повторно.")
};

const x = 5;
const y = 3;
alert(+(x+y));
alert(+(x-y));
alert(+(x*y));
alert(+(x/y));